function cluster_profiles(input_filename, output_filename)
D = dlmread(input_filename, '\t', 1, 1);
distD = pdist(D,'cosine'); % Distance matrix, 1 x 9591
linkD = linkage(distD,'single');
%save -ascii 'linkD.txt' linkD
clusD = cluster(linkD,'maxclust',1:size(D,1)); 
%save -ascii 'clusD.txt' clusD
clusU = uclid(clusD);
%save -ascii 'clusU.txt' clusU
n = size(D, 1);
nonU = unique([repmat((1:n)',n,1) clusU(:)],'rows'); % 3534 x 2
smC = full(sparse(nonU(:,1),nonU(:,2),1,max(nonU(:,1)),max(nonU(:, ...
						  2))));
dlmwrite(output_filename, smC, '\t')
