#!/usr/bin/env python

import sys
import docx
import cpa
from common import *

load_properties()

columns = cpa.db.GetColnamesForClassifier()

document = docx.newdocument()
docbody = document.xpath('/w:document/w:body', namespaces=docx.nsprefixes)[0]
docbody.append(docx.paragraph('Measurement name', style='b'))
docbody.append(docx.table([['Measurement name']] + [[c] for c in columns]))
docx.savedocx(document,
              docx.coreproperties(title='Feature table',
                                  subject='',
                                  creator='Vebjorn Ljosa',
                                  keywords=[]),
              docx.appproperties(),
              docx.contenttypes(),
              docx.websettings(),
              docx.wordrelationships(docx.relationshiplist()),
              '../results/HEAD/supp_table_features.docx')

