#!/usr.bin/env python

import sys
import cpa
import cpa.util

input_filename, output_filename = sys.argv[1:]
cpa.properties.LoadFile('CDRP_Current.properties')
smF, profiles, all_terms, \
    smC, smS, cluster_sizes, hits = cpa.util.unpickle(input_filename)
broad_ids = [k[0][:13] for k in profiles.keys()]

brd_to_name = {}
for cpd, brd in cpa.db.execute("""select distinct Image_Metadata_SOURCE_COMPOUND_NAME, Image_Metadata_BROAD_ID from Pilot_PartI_Per_Image"""):
    brd_to_name[brd[:13]] = cpd
brd_to_name['DMSO'] = 'DMSO'

with cpa.util.replace_atomically(output_filename) as f:
    for broad_id in broad_ids:
        print >>f, brd_to_name[broad_id]
