function plot_dendrogram(stem)
input_filename = [stem '.profiles.txt'];
D = dlmread(input_filename, '\t', 1, 1);
distD = pdist(D,'cosine'); % Distance matrix, 1 x 9591
linkD = linkage(distD,'single');
leafOrder = optimalleaforder(linkD, distD);

FID = fopen([stem '.leaforder.txt'], 'w');
for i=1:length(leafOrder)
  fprintf(FID, '%d\n', leafOrder(i));
end
fclose(FID);
%save -ascii 'linkD.txt' linkD
clusD = cluster(linkD,'maxclust',1:size(D,1)); 
%save -ascii 'clusD.txt' clusD
clusU = uclid(clusD);
%save -ascii 'clusU.txt' clusU
n = size(D, 1);
nonU = unique([repmat((1:n)',n,1) clusU(:)],'rows'); % 3534 x 2
smC = full(sparse(nonU(:,1),nonU(:,2),1,max(nonU(:,1)),max(nonU(:, ...
						  2))));

ncompounds = size(smC, 1);
nclusters = ncompounds - 1;
keepC = (sum(smC, 1) > 1) & (sum(smC, 1) <= ncompounds);
keepC(end) = 1;
smS = smC(:, keepC);
cluster_sizes = sum(smS, 1);

FID = fopen([stem, '.compound_names.txt'], 'r');
my_labels = textscan(FID, '%s', 'delimiter', '\n');
fclose(FID);

labels = cell(ncompounds, 1);
%labels = my_labels{1};
for i = 1:ncompounds
  if smS(i, 11)
    labels{i, 1} = 'A';
    ['A: ' my_labels{1}{i}]
  elseif smS(i, 47)
    labels{i, 1} = 'B';
    ['B: ' my_labels{1}{i}]
  elseif smS(i, 39)
    labels{i, 1} = 'C';
    ['C: ' my_labels{1}{i}]
  else
    labels{i, 1} = '';
  end
end

dendrogram(linkD, 0, 'reorder', leafOrder, 'labels', labels);
f = gcf();
set(f, 'PaperPositionMode', 'manual');
set(f, 'PaperUnits', 'inches');
set(f, 'PaperPosition', [0.25 2.5 8.0 4.2]);
print(f, '-dpdf', [stem, '.optimal.dendrogram.pdf']);
